<?php
/* @access      public
 * @since       1.0 
 * @return      $content
*/
if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if accessed directly
}

/*===================== Contact Form 7 - PayPal Extension ====================*/
/*==================== PayPal Submit Button - Admin Section ==================*/

/* Tag generator */
add_action( 'admin_init', 'wpcf7_add_tag_generator_paypal_submit_pro', 55 );

function wpcf7_add_tag_generator_paypal_submit_pro() {		
	$tag_generator = WPCF7_TagGenerator::get_instance();
	$tag_generator->add( 'paypal-submit', __( 'PayPal Submit button', 'contact-form-7' ),
	'wpcf7_tg_pane_paypal_submit_pro', array( 'nameless' => 1 ) );
}


/** Parameters field for generating tag at backend **/

function wpcf7_tg_pane_paypal_submit_pro( $contact_form, $args = '' ) {
	$args = wp_parse_args( $args, array() );

	$description = __( "Generate a form-tag for a paypal submit button which redirects you to PayPal website for making your payments after submitting the form.", 'contact-form-7' );

	$desc_link = wpcf7_link( '',__( 'PayPal Submit Button', 'contact-form-7' ) );

	$currency = array('AUD'=>'Australian Dollar','BRL'=>'Brazilian Real','CAD'=>'Canadian Dollar','CZK'=>'Czech Koruna','DKK'=>'Danish Krone','EUR'=>'Euro','HKD'=>'Hong Kong Dollar','HUF'=>'Hungarian Forint','ILS'=>'Israeli New Sheqel','JPY'=>'Japanese Yen','MYR'=>'Malaysian Ringgit','MXN'=>'Mexican Peso','NOK'=>'Norwegian Krone','NZD'=>'New Zealand Dollar','PHP'=>'Philippine Peso','PLN'=>'Polish Zloty','GBP'=>'Pound Sterling','RUB'=>'Russian Ruble','SGD'=>'Singapore Dollar', 'SEK'=>'Swedish Krona','CHF'=>'Swiss Franc','TWD'=>'Taiwan New Dollar','THB'=>'Thai Baht','TRY'=>'Turkish Lira','USD'=>'U.S. Dollar');
	$language = array('zh_CN'=>'Chinese (China)','zh_TW'=>'Chinese (Taiwan)','zh_HK'=>'Chinese (Hong Kong)','da_DK'=>'Danish','nl_NL'=>'Dutch','en_US'=>'English (United States)','en_GB'=>'English (United Kingdom)','fr_FR'=>'French','de_DE'=>'German','he_IL'=>'Hebrew','id_ID'=>'Indonesian','it_IT'=>'Italian','ja_JP'=>'Japanese','no_NO'=>'Norwegian','pl_PL'=>'Polish','pt_BR'=>'Portuguese (Brazil)','pt_PT'=>'Portuguese (Portugal)','ru_RU'=>'Russian','es_ES'=>'Spanish', 'sv_SE'=>'Swedish','th_TH'=>'Thai','tr_TR'=>'Turkish');
	$country = array("AL"=>"Albania", "DZ"=>"Algeria", "AD"=>"Andorra", "AO"=>"Angola", "AI"=>"Anguilla", "AG"=>"Antigua and Barbuda", "AR"=>"Argentina", "AM"=>"Armenia", "AW"=>"Aruba", "AU"=>"Australia", "AT"=>"Austria", "AZ"=>"Azerbaijan Republic", "BS"=>"Bahamas", "BH"=>"Bahrain", "BB"=>"Barbados", "BY"=>"Belarus", "BE"=>"Belgium", "BZ"=>"Belize", "BJ"=>"Benin", "BM"=>"Bermuda", "BT"=>"Bhutan", "BO"=>"Bolivia", "BA"=>"Bosnia and Herzegovina", "BW"=>"Botswana", "BR"=>"Brazil", "BN"=>"Brunei", "BG"=>"Bulgaria", "BF"=>"Burkina Faso", "BI"=>"Burundi", "KH"=>"Cambodia", "CM"=>"Cameroon", "CA"=>"Canada", "CV"=>"Cape Verde", "KY"=>"Cayman Islands", "TD"=>"Chad", "CL"=>"Chile", "C2"=>"China", "CO"=>"Colombia", "KM"=>"Comoros", "CK"=>"Cook Islands", "CR"=>"Costa Rica", "CI"=>"Cote D'Ivoire", "HR"=>"Croatia", "CY"=>"Cyprus", "CZ"=>"Czech Republic", "CD"=>"Democratic Republic of the Congo", "DK"=>"Denmark", "DJ"=>"Djibouti", "DM"=>"Dominica", "DO"=>"Dominican Republic", "EC"=>"Ecuador", "EG"=>"Egypt", "SV"=>"El Salvador", "ER"=>"Eritrea", "EE"=>"Estonia", "ET"=>"Ethiopia", "FK"=>"Falkland Islands", "FO"=>"Faroe Islands", "FJ"=>"Fiji", "FI"=>"Finland", "FR"=>"France", "GF"=>"French Guiana", "PF"=>"French Polynesia", "GA"=>"Gabon Republic", "GM"=>"Gambia", "GE"=>"Georgia", "DE"=>"Germany", "GI"=>"Gibraltar", "GR"=>"Greece", "GL"=>"Greenland", "GD"=>"Grenada", "GP"=>"Guadeloupe", "GT"=>"Guatemala", "GN"=>"Guinea", "GW"=>"Guinea Bissau", "GY"=>"Guyana", "HN"=>"Honduras", "HK"=>"Hong Kong", "HU"=>"Hungary", "IS"=>"Iceland", "IN"=>"India", "ID"=>"Indonesia", "IE"=>"Ireland", "IL"=>"Israel", "IT"=>"Italy", "JM"=>"Jamaica", "JP"=>"Japan", "JO"=>"Jordan", "KZ"=>"Kazakhstan", "KE"=>"Kenya", "KI"=>"Kiribati", "KW"=>"Kuwait", "KG"=>"Kyrgyzstan", "LA"=>"Laos", "LV"=>"Latvia", "LS"=>"Lesotho", "LI"=>"Liechtenstein", "LT"=>"Lithuania", "LU"=>"Luxembourg", "MK"=>"Macedonia", "MG"=>"Madagascar", "MW"=>"Malawi", "MY"=>"Malaysia", "MV"=>"Maldives", "ML"=>"Mali", "MT"=>"Malta", "MH"=>"Marshall Islands", "MQ"=>"Martinique", "MR"=>"Mauritania", "MU"=>"Mauritius", "YT"=>"Mayotte", "MX"=>"Mexico", "FM"=>"Micronesia", "MD"=>"Moldova", "MC"=>"Monaco", "MN"=>"Mongolia", "ME"=>"Montenegro", "MS"=>"Montserrat", "MA"=>"Morocco", "MZ"=>"Mozambique", "NA"=>"Namibia", "NR"=>"Nauru", "NP"=>"Nepal", "NL"=>"Netherlands", "AN"=>"Netherlands Antilles", "NC"=>"New Caledonia", "NZ"=>"New Zealand", "NI"=>"Nicaragua", "NE"=>"Niger", "NG"=>"Nigeria", "NU"=>"Niue", "NF"=>"Norfolk Island", "NO"=>"Norway", "OM"=>"Oman", "PW"=>"Palau", "PA"=>"Panama", "PG"=>"Papua New Guinea", "PY"=>"Paraguay", "PE"=>"Peru", "PH"=>"Philippines", "PN"=>"Pitcairn Islands", "PL"=>"Poland", "PT"=>"Portugal", "QA"=>"Qatar", "CG"=>"Republic of the Congo", "RE"=>"Reunion", "RO"=>"Romania", "RU"=>"Russia", "RW"=>"Rwanda", "KN"=>"Saint Kitts and Nevis Anguilla", "PM"=>"Saint Pierre and Miquelon", "VC"=>"Saint Vincent and Grenadines", "WS"=>"Samoa", "SM"=>"San Marino", "ST"=>"São Tomé and Príncipe", "SA"=>"Saudi Arabia", "SN"=>"Senegal", "RS"=>"Serbia", "SC"=>"Seychelles", "SL"=>"Sierra Leone", "SG"=>"Singapore", "SK"=>"Slovakia", "SI"=>"Slovenia", "SB"=>"Solomon Islands", "SO"=>"Somalia", "ZA"=>"South Africa", "KR"=>"South Korea", "ES"=>"Spain", "LK"=>"Sri Lanka", "SH"=>"St. Helena", "LC"=>"St. Lucia", "SR"=>"Suriname", "SJ"=>"Svalbard and Jan Mayen Islands", "SZ"=>"Swaziland", "SE"=>"Sweden", "CH"=>"Switzerland", "TW"=>"Taiwan", "TJ"=>"Tajikistan", "TZ"=>"Tanzania", "TH"=>"Thailand", "TG"=>"Togo", "TO"=>"Tonga", "TT"=>"Trinidad and Tobago", "TN"=>"Tunisia", "TR"=>"Turkey", "TM"=>"Turkmenistan", "TC"=>"Turks and Caicos Islands", "TV"=>"Tuvalu", "UG"=>"Uganda", "UA"=>"Ukraine", "AE"=>"United Arab Emirates", "GB"=>"United Kingdom", "US"=>"United States", "UY"=>"Uruguay", "VU"=>"Vanuatu", "VA"=>"Vatican City State", "VE"=>"Venezuela", "VN"=>"Vietnam", "VG"=>"Virgin Islands (British)", "WF"=>"Wallis and Futuna Islands", "YE"=>"Yemen", "ZM"=>"Zambia", "ZW"=>"Zimbabwe");
?>
	<div class="control-box">
	<fieldset>
	<legend><?php echo sprintf( esc_html( $description ), $desc_link ); ?></legend>
	<table class="form-table">
	<tbody>
	<tr>
	<td colspan="2"><b>NOTE: If required fields are missing, PayPal Submit button works as simple Submit button.</b></td>
	</tr>
	<tr>
	<td><code>id</code> <?php echo '<font style="font-size:10px"> (optional)</font>';?><br />
	<input type="text" name="id" class="idvalue oneline option" /></td>

	<td><code>class</code> <?php echo '<font style="font-size:10px"> (optional)</font>'; ?><br />
	<input type="text" name="class" class="classvalue oneline option" /></td>
	</tr>

	<tr>
	<td><?php echo esc_html( __( 'Label', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (optional)</font>'; ?><br />
	<input type="text" name="values" class="oneline" /></td>
	<td><br><input type="checkbox" name="sandbox" class="option">Use PayPal Sandbox</td>
	</tr>

	<tr>	
		<td colspan="2"><hr><font color="blue"><i>Fill these 3 PayPal fields,<i></font></td>
	</tr>
	<tr>
		<td colspan="2">
		<table>
			<tr>
				<td><?php echo esc_html( __( 'PayPal Business E-Mail', 'contact-form-7' ) );echo '<font style="font-size:10px"> (required)</font>';?></td>
				<td><input type="text" name="email" class="oneline option" /></td>
			</tr>
			<tr>
				<td><?php echo esc_html( __( 'Select Currency', 'contact-form-7' ) ); echo ' (Default "USD")';?></td>
				<td><select name="currencies" onchange="document.getElementById('currency').value = this.value;">
					<?php foreach($currency as $key=>$value) { ?>
						<option value="<?php echo $key;?>" <?php echo ($key == "USD")?'selected':'';?>><?php echo $value;?></option>
					<?php } ?>
				</select>
				<input type="hidden" value="" name="currency" id="currency" class="oneline option"></td>
			</tr>
			<tr>
				<td><?php echo esc_html( __( 'Select Language', 'contact-form-7' ) ); echo ' (Default "English - United States")';?></td>
				<td><select name="languages" onchange="document.getElementById('language').value = this.value;">
					<?php foreach($language as $key=>$value) { ?>
						<option value="<?php echo $key;?>" <?php echo ($key == "en_US")?'selected':'';?>><?php echo $value;?></option>
					<?php } ?>
				</select>
				<input type="hidden" value="" name="language" id="language" class="oneline option"></td>
			</tr>
			<tr>
				<td><?php echo esc_html( __( 'Select Country', 'contact-form-7' ) ); echo ' (Default "United States")';?></td>
				<td><select name="countries" onchange="document.getElementById('country').value = this.value;">
					<?php foreach($country as $key=>$value) { ?>
						<option value="<?php echo $key;?>" <?php echo ($key == "US")?'selected':'';?>><?php echo $value;?></option>
					<?php } ?>
				</select>
				<input type="hidden" value="" name="country" id="country" class="oneline option"></td>
			</tr>
		</table><hr>
	</td>
	</tr>

	<tr>	
		<td colspan="2"><font color="blue"><i>Enter Contact Form 7 Field's ID for these 3 PayPal fields,<i></font></td>
	</tr>
	<tr>
		<td colspan="2">
		<table>
			<tr>
				<td><?php echo esc_html( __( 'Itemamount Field ID', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (required)</font>'; ?></td>
				<td><input type="text" name="itemamount" class="oneline option"/></td>
			</tr>
			<tr>
				<td><?php echo esc_html( __( 'Itemname Field ID', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (optional)</font>';?></td>
				<td><input type="text" name="itemname" class="oneline option" /></td>
			</tr>
			<tr>
				<td><?php echo esc_html( __( 'Quantity Field ID', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (optional)</font>'; ?></td>
				<td><input type="text" name="quantity" class="oneline option" /></td>
			</tr>
		</table><hr>
	</td>
	</tr>
	<tr>
	<td><?php echo esc_html( __( 'Success Return URL', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (optional)</font>';?><br />
		<input type="text" name="return_url" class="oneline option" /></td>
	<td><?php echo esc_html( __( 'Cancel Return URL', 'contact-form-7' ) ); echo '<font style="font-size:10px"> (optional)</font>';?><br />
		<input type="text" name="cancel_url" class="oneline option" /></td>
	</tr>
	</tbody>
	</table>
	</fieldset>
	</div>
	<div class="insert-box">
		<input type="text" name="paypalsubmit" class="tag code" readonly="readonly" onfocus="this.select()" />

		<div class="submitbox">
		<input type="button" class="button button-primary insert-tag" value="<?php echo esc_attr( __( 'Insert Tag', 'contact-form-7' ) ); ?>" />
		</div>
	</div>
<?php
}
?>